Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.interaction.annotations
Class AppearanceCharacteristics.IconFitObject

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<PdfDictionary>
          org.pdfclown.documents.interaction.annotations.AppearanceCharacteristics.IconFitObject

All Implemented Interfaces:
  Cloneable, IPdfObjectWrapper

Enclosing class:
  AppearanceCharacteristics

    public static class AppearanceCharacteristics.IconFitObject

extends PdfObjectWrapper<PdfDictionary>

Icon fit [PDF:1.6:8.6.6].

Nested Class Summary
`static class` | `AppearanceCharacteristics.IconFitObject.ScaleModeEnum` Scaling mode [PDF:1.6:8.6.6].
`static class` | `AppearanceCharacteristics.IconFitObject.ScaleTypeEnum` Scaling type [PDF:1.6:8.6.6].

Constructor Summary
`AppearanceCharacteristics.IconFitObject(Document context)`

Method Summary
`AppearanceCharacteristics.IconFitObject` | `clone(Document context)` Gets a clone of the object, registered inside the given document context.
`AppearanceCharacteristics.IconFitObject.ScaleModeEnum` | `getScaleMode()` Gets the circumstances under which the icon should be scaled inside the annotation box.
`AppearanceCharacteristics.IconFitObject.ScaleTypeEnum` | `getScaleType()` Gets the type of scaling to use.
`XAlignmentEnum` | `getXAlignment()` Gets the horizontal alignment of the icon inside the annotation box.
`YAlignmentEnum` | `getYAlignment()` Gets the vertical alignment of the icon inside the annotation box.
`boolean` | `isBorderExcluded()` Gets whether not to take into consideration the line width of the border.
`void` | `setBorderExcluded(boolean value)` Sets whether not to take into consideration the line width of the border.
`void` | `setScaleMode(AppearanceCharacteristics.IconFitObject.ScaleModeEnum value)` Sets the circumstances under which the icon should be scaled inside the annotation box.
`void` | `setScaleType(AppearanceCharacteristics.IconFitObject.ScaleTypeEnum value)` Sets the type of scaling to use.
`void` | `setXAlignment(XAlignmentEnum value)` Sets the horizontal alignment of the icon inside the annotation box.
`void` | `setYAlignment(YAlignmentEnum value)` Sets the vertical alignment of the icon inside the annotation box.

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, delete, equals, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AppearanceCharacteristics.IconFitObject

    public AppearanceCharacteristics.IconFitObject(Document context)

Method Detail

### clone

    public AppearanceCharacteristics.IconFitObject clone(Document context)

  Description copied from class: `PdfObjectWrapper`
  Gets a clone of the object, registered inside the given document context.

  Overrides:
    `clone` in class `PdfObjectWrapper<PdfDictionary>`
  Parameters:
    `context` - Which document the clone has to be registered in.

### getScaleMode

    public AppearanceCharacteristics.IconFitObject.ScaleModeEnum getScaleMode()

  Gets the circumstances under which the icon should be scaled inside the annotation box.

### getScaleType

    public AppearanceCharacteristics.IconFitObject.ScaleTypeEnum getScaleType()

  Gets the type of scaling to use.

### getXAlignment

    public XAlignmentEnum getXAlignment()

  Gets the horizontal alignment of the icon inside the annotation box.

### getYAlignment

    public YAlignmentEnum getYAlignment()

  Gets the vertical alignment of the icon inside the annotation box.

### isBorderExcluded

    public boolean isBorderExcluded()

  Gets whether not to take into consideration the line width of the border.

### setBorderExcluded

    public void setBorderExcluded(boolean value)

  Sets whether not to take into consideration the line width of the border.

  See Also:
    `isBorderExcluded()`

### setScaleMode

    public void setScaleMode(AppearanceCharacteristics.IconFitObject.ScaleModeEnum value)

  Sets the circumstances under which the icon should be scaled inside the annotation box.

  See Also:
    `getScaleMode()`

### setScaleType

    public void setScaleType(AppearanceCharacteristics.IconFitObject.ScaleTypeEnum value)

  Sets the type of scaling to use.

  See Also:
    `getScaleType()`

### setXAlignment

    public void setXAlignment(XAlignmentEnum value)

  Sets the horizontal alignment of the icon inside the annotation box.

  See Also:
    `getXAlignment()`

### setYAlignment

    public void setYAlignment(YAlignmentEnum value)

  Sets the vertical alignment of the icon inside the annotation box.

  See Also:
    `getYAlignment()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.